#include "mbed.h"
#include "math.h"
#include "Filter.h"

MedianFilter::MedianFilter(int length) {
    buf = new CircularBuffer(length, true);
}

float MedianFilter::update(float x) {
    buf->add(x);
    return buf->median();
}

MovingAverageFilter::MovingAverageFilter(int length) {
    buf = new CircularBuffer(length, false);
}

float MovingAverageFilter::update(float x) {
    buf->add(x);
    return buf->mean();
}   